Bug 1229706 (CVE-2015-4411) - CVE-2015-4411 rubygem-moped: Denial of Service with crafted ObjectId string (incomplete fix for CVE-2015-4410)
Summary: CVE-2015-4411 rubygem-moped: Denial of Service with crafted ObjectId string (...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2015-4411
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1229708 1229709
Blocks: 1228705
TreeView+ depends on / blocked
 
Reported: 2015-06-09 13:25 UTC by Vasyl Kaigorodov
Modified: 2021-02-17 05:13 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 22:21:04 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-06-09 13:25:01 UTC
The following Denial of Service issue was discovered in Moped Ruby gem:

If a crafted value will be passed to Moped::BSON::ObjecId.legal? method, this will cause Moped to think MongoDB is down, and ping it 39 more times with intervals. In other words, Moped will keep a worker busy for 5 seconds and make x40 requests to MongoDB.

CVE-2015-4411 was assigned to it:
http://seclists.org/oss-sec/2015/q2/653

Additional details might be found here:
http://sakurity.com/blog/2015/06/04/mongo_ruby_regexp.html

The fix can be found here:
https://github.com/mongodb/bson-ruby/commit/976da329ff03ecdfca3030eb6efe3c85e6db9999

Comment 2 Vasyl Kaigorodov 2015-06-09 13:27:07 UTC
Created rubygem-moped tracking bugs for this issue:

Affects: fedora-all [bug 1229708]

Comment 3 Fedora Update System 2015-07-14 15:47:31 UTC
rubygem-moped-1.5.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-07-14 15:51:28 UTC
rubygem-moped-1.5.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-07-23 19:11:48 UTC
rubygem-moped-1.5.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Kurt Seifried 2015-07-29 22:21:04 UTC
Statement:

This issue affects the versions of rubygem-moped as shipped with Red Hat OpenShift Enterprise 2.x. Red Hat Product Security has rated this issue as having Low security impact. Additionally access to the component using rubygem-moped is restricted, only trusted users and systems can send messages, thus no trust boundary violation occurs and this issue can not easily be used to create an exploitable security vulnerability on Red Hat OpenShift Enterprise 2.


Note You need to log in before you can comment on or make changes to this bug.